Bug 116454 - array subscript out of range
array subscript out of range
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-ja (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-21 05:21 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 8.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 05:04:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-21 05:21:19 EST
Description of problem:

I just tried to compile development package fonts-ja-8.0-9

The compiler said

vine-fonttools-0.1/mkitalic.c(331): warning #175: subscript out of range

The source code is

  hexcbuf[3] = '\0';

but earlier is

  char hexcbuf[3];

Suggest make hexcbuf one bigger.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2004-02-23 05:04:39 EST
Fixed in 8.0-11. Thanks!

Note You need to log in before you can comment on or make changes to this bug.